# pysas README.md

<p>This is the base Python package for SAS. All SAS packages become 
subpackages of pysas.</p> 

<p><code>pysas</code> includes several Python modules which are aimed 
to be used by all SAS Python based tasks. These modules are (so far):

<ul>
<code>
	<li> sastask.py
	<li> parser.py
	<li> param.py
	<li> error.py
	<li> runtask.py
	<li> wrapper.py
	<li> logger.py
</code>
</ul>

<p><code>wrapper.py</code> defines class Wrapper that allow us to run 
non Python tasks from <code>Jupyter notebook</code> and <code>ipython</code>.

<p><code>logger.py</code> defines class TaskLogger that allow us to create
task loggers which provide logging either through the console or to a log
file. Logging to the console is controlled via the <code>verbosity</code>
option <code>-V</code>, or through the <code>SAS\_VERBOSITY</code> enironment variable. 
